package kr.co.hanwha.hifive.screen.main.dashboard.contract;

import kr.co.hanwha.hifive.base.BasePresenter;
import kr.co.hanwha.hifive.base.BaseView;

/**
 * Created by sanghoonkwon on 2018. 3. 15..
 */

public interface MainDashboardContract {
    interface View extends BaseView<Presenter> {
        void setRefreshing(boolean refreshing);

        void setEmptyViewOrange(boolean empty);

        void setEmptyViewGreen(boolean empty);
    }

    interface Presenter extends BasePresenter {
        /**
         * Initialize Data
         */
        void initData(boolean needLoading);
    }
}
